import ApiModel from "~/models/ApiModel";
import {Str, Uid} from "pinia-orm/dist/decorators";

/**
 * // TODO: qu'est-ce que c'est?
 */
export default class NotificationMessage extends ApiModel {
  static entity = 'notification_messages'

  @Uid()
  declare id: number | string | null

  @Str(null)
  declare about: string|null

  @Str(null)
  declare action: string|null

  @Str(null)
  declare fileName: string|null
}
